package types

import (
	"io/fs"
	"time"
)

type (
	Task struct {
		TaskId  string `json:"task_id"`
		Url     string `json:"url"`
		Process int    `json:"process"`
		Ctime   string `json:"ctime"`
		Ftime   string `json:"ftime"`
		Status  int8   `json:"status"`
	}

	ResPage struct {
		Page     int     `json:"current_page"`
		Limit    int     `json:"per_page"`
		Total    int     `json:"total"`
		LastPage int     `json:"last_page"`
		Data     []*Task `json:"data"`
	}

	FileInfoStatus struct {
		fs.FileInfo
		Status int
		Time   time.Time
	}
)
